cURL
curl --request GET \ --url https://statsigapi.net/console/v1/segments \ --header 'STATSIG-API-KEY: <api-key>'
{ "message": "Segments listed successfully.", "data": [ { "id": "an_id_list", "isEnabled": true, "description": "helpful summary of what this segment is", "lastModifierName": "CONSOLE API", "lastModifierID": "ahKwUoaNauHu9AmJPc2", "type": "id_list", "count": 0, "tags": [ "a tag" ] }, { "id": "a_rule_based_segment", "isEnabled": true, "description": "helpful summary of what this segment is", "lastModifierName": "CONSOLE API", "lastModifierID": "ahKwUoaNauHu9AmJPc2", "type": "rule_based", "count": 0, "rules": { "name": "All Conditions", "passPercentage": 10, "conditions": [ { "type": "public", "operator": "string", "targetValue": 0, "field": "string", "customID": "string" } ], "returnValue": { "key": true } }, "tags": [ "a tag" ] } ] }
Documentation IndexFetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://statsig-4b2ff144-docs-go-big-id-lists.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Results per page
10
Page number
1
List Segments Success
A simple string explaining the result of the operation.
Array of results returned by pagination limit.
Show child attributes
Pagination metadata for checking if there is next page for example.
Was this page helpful?